TabbedPaneUI (Java Platform SE 8 )
Keywords: javax.swing.plaf.TabbedPaneUI class
Date: 2016-12-09

javax.swing.plaf

## Class TabbedPaneUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TabbedPaneUI

- Direct Known Subclasses:
    BasicTabbedPaneUI, MultiTabbedPaneUI

      public abstract class TabbedPaneUI
      extends ComponentUI

  Pluggable look and feel interface for JTabbedPane.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabbedPaneUI()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Rectangle` | `getTabBounds(JTabbedPane pane, int index)`
    `abstract int` | `getTabRunCount(JTabbedPane pane)`
    `abstract int` | `tabForCoordinate(JTabbedPane pane, int x, int y)`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabbedPaneUI

          public TabbedPaneUI()

  - ### Method Detail

    - #### tabForCoordinate

          public abstract int tabForCoordinate(JTabbedPane pane,
                                               int x,
                                               int y)

    - #### getTabBounds

          public abstract Rectangle getTabBounds(JTabbedPane pane,
                                                 int index)

    - #### getTabRunCount

          public abstract int getTabRunCount(JTabbedPane pane)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.